package _VisualDVM.Visual.Tables;
import Common.Visual.Tables.EditorDBObject;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.SapforProfile.SapforProfile;
import _VisualDVM.Passes.PassCode;
public class SwitcherProfileAuto extends EditorDBObject<SapforProfile> {
    @Override
    public void Action() {
        Global.mainModule.getPass(PassCode.SetDefaultSapforProfile).Do(value);
        setIcon(value.GetAutoIcon());
    }
    @Override
    public Object getCellEditorValue() {
        return value;
    }
}
